[Overview][Constants][Procedures and functions][Index] | Reference for unit 'cmem' (#rtl)

# ReAlloc

Reallocates a memory block

## Declaration

Source position: cmem.pp line 53

`function ReAlloc(`
`P: Pointer;`
`Size: PtrUInt`
`):pointer;`

## Arguments

`P` |  | Pointer to the old block
`Size` |  | New size for the memory block.

## Function result

A pointer to the new memory block

## Description

ReAlloc re-allocates a block of memory pointed to by p. The new block will have size Size, and as much data as was available or as much data as fits is copied from the old to the new location.

## See also

Malloc |  | Malloc external declaration.
Free |  | Free a previously allocated block